Subject: Re: linux-next: build failure after merge of the usb tree

From: Greg KH <[email-masked]>
Date: Tue, 19 Jul 2022 08:50:14 +0200

On Mon, Jul 18, 2022 at 02:41:23PM -0700, Prashant Malani wrote:
> Hi Stephen & Greg,
> 
> On Mon, Jul 18, 2022 at 1:43 PM Greg KH <[email-masked]> wrote:
> >
> > On Mon, Jul 18, 2022 at 04:31:58PM +1000, Stephen Rothwell wrote:
> > > Hi all,
> > >
> > > After merging the usb tree, today's linux-next build (arm
> > > multi_v7_defconfig) failed like this:
> > >
> > > drivers/platform/chrome/cros_typec_switch.c: In function 'cros_typec_cmd_mux_set':
> > > drivers/platform/chrome/cros_typec_switch.c:52:16: error: implicit declaration of function 'cros_ec_command'; did you mean 'cros_ec_cmd'? [-Werror=implicit-function-declaration]
> > >    52 |         return cros_ec_command(sdata->ec, 0, EC_CMD_TYPEC_CONTROL, &req,
> > >       |                ^~~~~~~~~~~~~~~
> > >       |                cros_ec_cmd
> > > drivers/platform/chrome/cros_typec_switch.c: In function 'cros_typec_register_switches':
> > > drivers/platform/chrome/cros_typec_switch.c:244:23: error: implicit declaration of function 'acpi_evaluate_integer'; did you mean 'acpi_evaluate_object'? [-Werror=implicit-function-declaration]
> > >   244 |                 ret = acpi_evaluate_integer(adev->handle, "_ADR", NULL, &index);
> > >       |                       ^~~~~~~~~~~~~~~~~~~~~
> > >       |                       acpi_evaluate_object
> > > drivers/platform/chrome/cros_typec_switch.c:244:49: error: invalid use of undefined type 'struct acpi_device'
> > >   244 |                 ret = acpi_evaluate_integer(adev->handle, "_ADR", NULL, &index);
> > >       |                                                 ^~
> > >
> > > Caused by commit
> > >
> > >   e54369058f3d ("platform/chrome: cros_typec_switch: Add switch driver")
> > >
> > > and commits
> > >
> > >   34f375f0fdf6 ("platform/chrome: cros_typec_switch: Set EC retimer")
> > >   bb53ad958012 ("platform/chrome: cros_typec_switch: Add event check")
> > >
> > > interacting with commit
> > >
> > >   b1d288d9c3c5 ("platform/chrome: cros_ec_proto: Rename cros_ec_command function")
> > >
> > > from the chrome-platform tree.
> 
> I am very sorry about the conflicts.
> 
> I can think of a few ways to address this:
> 1. A fixup patch on top of linux-next updating the function signature
> to cros_ec_cmd() ; I will send this out if you'd like.
> 2. Pull in Commit b1d288d9c3c5 ("platform/chrome: cros_ec_proto:
> Rename cros_ec_command function") to usb-next.
> We will also have to pull in dependent commit 015cd0043503
> ("regulator: cros-ec: Use common cros_ec_command()")
> 3. Revert the entire cros-typec-switch (patches 3-9) series from
> usb-next and wait till after the merge window to apply it to
> chrome-platform directly.

I think I'll just do #3 to resolve the issue.  I'll do it in a few
hours.

thanks,

greg k-h